diff --git a/android/guava-testlib/src/com/google/common/collect/testing/TestsForListsInJavaUtil.java b/android/guava-testlib/src/com/google/common/collect/testing/TestsForListsInJavaUtil.java
index ac0d15f..ae8fc49 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/TestsForListsInJavaUtil.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/TestsForListsInJavaUtil.java
@@ -21,7 +21,6 @@ import static com.google.common.collect.testing.testers.ListSubListTester.getSub
 import static com.google.common.collect.testing.testers.ListSubListTester.getSubListOriginalListSetAffectsSubListMethod;
 import static com.google.common.collect.testing.testers.ListSubListTester.getSubListSubListRemoveAffectsOriginalLargeListMethod;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.ListFeature;
@@ -46,7 +45,6 @@ import junit.framework.TestSuite;
  *
  * @author Kevin Bourrillion
  */
-@GwtIncompatible
 public class TestsForListsInJavaUtil {
   public static Test suite() {
     return new TestsForListsInJavaUtil().allTests();
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/TestsForMapsInJavaUtil.java b/android/guava-testlib/src/com/google/common/collect/testing/TestsForMapsInJavaUtil.java
index e9014fb..df2c52b 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/TestsForMapsInJavaUtil.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/TestsForMapsInJavaUtil.java
@@ -18,7 +18,6 @@ package com.google.common.collect.testing;
 
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.MapFeature;
@@ -47,7 +46,6 @@ import junit.framework.TestSuite;
  *
  * @author Kevin Bourrillion
  */
-@GwtIncompatible
 public class TestsForMapsInJavaUtil {
 
   public static Test suite() {
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/TestsForQueuesInJavaUtil.java b/android/guava-testlib/src/com/google/common/collect/testing/TestsForQueuesInJavaUtil.java
index b10a5d9..0a1d2c6 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/TestsForQueuesInJavaUtil.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/TestsForQueuesInJavaUtil.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import java.lang.reflect.Method;
@@ -40,7 +39,6 @@ import junit.framework.TestSuite;
  *
  * @author Jared Levy
  */
-@GwtIncompatible
 public class TestsForQueuesInJavaUtil {
   public static Test suite() {
     return new TestsForQueuesInJavaUtil().allTests();
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/TestsForSetsInJavaUtil.java b/android/guava-testlib/src/com/google/common/collect/testing/TestsForSetsInJavaUtil.java
index 3324ace..2708d93 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/TestsForSetsInJavaUtil.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/TestsForSetsInJavaUtil.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.SetFeature;
@@ -44,7 +43,6 @@ import junit.framework.TestSuite;
  *
  * @author Kevin Bourrillion
  */
-@GwtIncompatible
 public class TestsForSetsInJavaUtil {
   public static Test suite() {
     return new TestsForSetsInJavaUtil().allTests();
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/UnhashableObject.java b/android/guava-testlib/src/com/google/common/collect/testing/UnhashableObject.java
index 69d263b..19ed4da 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/UnhashableObject.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/UnhashableObject.java
@@ -16,14 +16,12 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * An unhashable object to be used in testing as values in our collections.
  *
  * @author Regina O'Dell
  */
-@GwtCompatible
 public class UnhashableObject implements Comparable<UnhashableObject> {
   private final int value;
 
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/WrongType.java b/android/guava-testlib/src/com/google/common/collect/testing/WrongType.java
index 65a523c..1a0aa72 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/WrongType.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/WrongType.java
@@ -16,13 +16,11 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * A type which will never be used as the element type of any collection in our tests, and so can be
  * used to test how a Collection behaves when given input of the wrong type.
  */
-@GwtCompatible
 public enum WrongType {
   VALUE
 }
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/features/CollectionFeature.java b/android/guava-testlib/src/com/google/common/collect/testing/features/CollectionFeature.java
index 0f0a123..0c1f7be 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/features/CollectionFeature.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/features/CollectionFeature.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.features;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.Helpers;
 import java.lang.annotation.Inherited;
 import java.lang.annotation.Retention;
@@ -33,7 +32,6 @@ import java.util.SortedSet;
  */
 // Enum values use constructors with generic varargs.
 @SuppressWarnings("unchecked")
-@GwtCompatible
 public enum CollectionFeature implements Feature<Collection> {
   /**
    * The collection must not throw {@code NullPointerException} on calls such as {@code
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/features/CollectionSize.java b/android/guava-testlib/src/com/google/common/collect/testing/features/CollectionSize.java
index 6203e51..c80f12e 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/features/CollectionSize.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/features/CollectionSize.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.features;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.Helpers;
 import java.lang.annotation.Inherited;
 import java.lang.annotation.Retention;
@@ -43,7 +42,6 @@ import java.util.Set;
  */
 // Enum values use constructors with generic varargs.
 @SuppressWarnings("unchecked")
-@GwtCompatible
 public enum CollectionSize implements Feature<Collection>, Comparable<CollectionSize> {
   /** Test an empty collection. */
   ZERO(0),
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/features/ConflictingRequirementsException.java b/android/guava-testlib/src/com/google/common/collect/testing/features/ConflictingRequirementsException.java
index 9096a11..89a6bf7 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/features/ConflictingRequirementsException.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/features/ConflictingRequirementsException.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.features;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Set;
 
 /**
@@ -24,7 +23,6 @@ import java.util.Set;
  *
  * @author George van den Driessche
  */
-@GwtCompatible
 public class ConflictingRequirementsException extends Exception {
   private Set<Feature<?>> conflicts;
   private Object source;
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/features/Feature.java b/android/guava-testlib/src/com/google/common/collect/testing/features/Feature.java
index 9b15a6b..d661489 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/features/Feature.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/features/Feature.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.features;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Set;
 
 /**
@@ -25,7 +24,6 @@ import java.util.Set;
  * @param <T> The interface whose features are to be enumerated.
  * @author George van den Driessche
  */
-@GwtCompatible
 public interface Feature<T> {
   /** Returns the set of features that are implied by this feature. */
   Set<Feature<? super T>> getImpliedFeatures();
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/features/FeatureUtil.java b/android/guava-testlib/src/com/google/common/collect/testing/features/FeatureUtil.java
index 95cbc0b..bce9421 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/features/FeatureUtil.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/features/FeatureUtil.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.features;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.Helpers;
 import java.lang.annotation.Annotation;
 import java.lang.reflect.AnnotatedElement;
@@ -37,7 +36,6 @@ import java.util.Set;
  *
  * @author George van den Driessche
  */
-@GwtIncompatible
 public class FeatureUtil {
   /** A cache of annotated objects (typically a Class or Method) to its set of annotations. */
   private static Map<AnnotatedElement, List<Annotation>> annotationCache = new HashMap<>();
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/features/ListFeature.java b/android/guava-testlib/src/com/google/common/collect/testing/features/ListFeature.java
index 1427efa..39f9e84 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/features/ListFeature.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/features/ListFeature.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.features;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.Helpers;
 import java.lang.annotation.Inherited;
 import java.lang.annotation.Retention;
@@ -31,7 +30,6 @@ import java.util.Set;
  */
 // Enum values use constructors with generic varargs.
 @SuppressWarnings("unchecked")
-@GwtCompatible
 public enum ListFeature implements Feature<List> {
   SUPPORTS_SET,
   SUPPORTS_ADD_WITH_INDEX(CollectionFeature.SUPPORTS_ADD),
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/features/MapFeature.java b/android/guava-testlib/src/com/google/common/collect/testing/features/MapFeature.java
index dff7b12..fc700d2 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/features/MapFeature.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/features/MapFeature.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.features;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.Helpers;
 import java.lang.annotation.Inherited;
 import java.lang.annotation.Retention;
@@ -31,7 +30,6 @@ import java.util.Set;
  */
 // Enum values use constructors with generic varargs.
 @SuppressWarnings("unchecked")
-@GwtCompatible
 public enum MapFeature implements Feature<Map> {
   /**
    * The map does not throw {@code NullPointerException} on calls such as {@code containsKey(null)},
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/features/SetFeature.java b/android/guava-testlib/src/com/google/common/collect/testing/features/SetFeature.java
index 7b5dcd9..0f5dfec 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/features/SetFeature.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/features/SetFeature.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.features;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.Helpers;
 import java.lang.annotation.Inherited;
 import java.lang.annotation.Retention;
@@ -30,7 +29,6 @@ import java.util.Set;
  */
 // Enum values use constructors with generic varargs.
 @SuppressWarnings("unchecked")
-@GwtCompatible
 public enum SetFeature implements Feature<Set> {
   GENERAL_PURPOSE(CollectionFeature.GENERAL_PURPOSE);
 
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/features/TesterAnnotation.java b/android/guava-testlib/src/com/google/common/collect/testing/features/TesterAnnotation.java
index 1831e41..fc9d407 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/features/TesterAnnotation.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/features/TesterAnnotation.java
@@ -14,7 +14,6 @@
 
 package com.google.common.collect.testing.features;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Documented;
 import java.lang.annotation.Retention;
 import java.lang.annotation.RetentionPolicy;
@@ -32,5 +31,4 @@ import java.lang.annotation.Target;
 @Target(value = {java.lang.annotation.ElementType.ANNOTATION_TYPE})
 @Retention(value = RetentionPolicy.RUNTIME)
 @Documented
-@GwtCompatible
 public @interface TesterAnnotation {}
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/features/TesterRequirements.java b/android/guava-testlib/src/com/google/common/collect/testing/features/TesterRequirements.java
index 4780b1b..1171e53 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/features/TesterRequirements.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/features/TesterRequirements.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.features;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.Helpers;
 import java.util.Collections;
 import java.util.Set;
@@ -27,7 +26,6 @@ import java.util.Set;
  *
  * @author George van den Driessche
  */
-@GwtCompatible
 public final class TesterRequirements {
   private final Set<Feature<?>> presentFeatures;
   private final Set<Feature<?>> absentFeatures;
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/google/AbstractBiMapTester.java b/android/guava-testlib/src/com/google/common/collect/testing/google/AbstractBiMapTester.java
index 85ddb44..038f584 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/google/AbstractBiMapTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/google/AbstractBiMapTester.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.BiMap;
 import com.google.common.collect.testing.AbstractMapTester;
 import com.google.common.collect.testing.Helpers;
@@ -27,7 +26,6 @@ import java.util.Map.Entry;
 import org.junit.Ignore;
 
 /** Skeleton for a tester of a {@code BiMap}. */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public abstract class AbstractBiMapTester<K, V> extends AbstractMapTester<K, V> {
 
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/google/AbstractListMultimapTester.java b/android/guava-testlib/src/com/google/common/collect/testing/google/AbstractListMultimapTester.java
index 7bce8b0..00f5b57 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/google/AbstractListMultimapTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/google/AbstractListMultimapTester.java
@@ -16,7 +16,6 @@ package com.google.common.collect.testing.google;
 
 import static com.google.common.collect.testing.Helpers.assertEqualInOrder;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.ListMultimap;
 import java.util.Arrays;
 import java.util.Collection;
@@ -27,7 +26,6 @@ import org.junit.Ignore;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class AbstractListMultimapTester<K, V>
     extends AbstractMultimapTester<K, V, ListMultimap<K, V>> {
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultimapTester.java b/android/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultimapTester.java
index 7b7801d..10c5454 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultimapTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultimapTester.java
@@ -18,7 +18,6 @@ package com.google.common.collect.testing.google;
 
 import static com.google.common.collect.testing.Helpers.assertEqualIgnoringOrder;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.Multimap;
 import com.google.common.collect.testing.AbstractContainerTester;
 import com.google.common.collect.testing.Helpers;
@@ -34,7 +33,6 @@ import org.junit.Ignore;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public abstract class AbstractMultimapTester<K, V, M extends Multimap<K, V>>
     extends AbstractContainerTester<M, Entry<K, V>> {
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultisetSetCountTester.java b/android/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultisetSetCountTester.java
index a72fd9f..5ab6392 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultisetSetCountTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultisetSetCountTester.java
@@ -24,8 +24,6 @@ import static com.google.common.collect.testing.features.CollectionFeature.SUPPO
 import static com.google.common.collect.testing.features.CollectionSize.SEVERAL;
 import static com.google.common.collect.testing.features.CollectionSize.ZERO;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.Multiset;
 import com.google.common.collect.Multiset.Entry;
 import com.google.common.collect.testing.Helpers;
@@ -46,7 +44,6 @@ import org.junit.Ignore;
  *
  * @author Chris Povirk
  */
-@GwtCompatible(emulated = true)
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public abstract class AbstractMultisetSetCountTester<E> extends AbstractMultisetTester<E> {
   /*
@@ -384,7 +381,7 @@ public abstract class AbstractMultisetSetCountTester<E> extends AbstractMultiset
    * Returns {@link Method} instances for the {@code setCount()} tests that assume multisets support
    * duplicates so that the test of {@code Multisets.forSet()} can suppress them.
    */
-  @GwtIncompatible // reflection
+  // reflection
   public static List<Method> getSetCountDuplicateInitializingMethods() {
     return Arrays.asList(
         getMethod("testSetCount_threeToThree_removeSupported"),
@@ -392,7 +389,7 @@ public abstract class AbstractMultisetSetCountTester<E> extends AbstractMultiset
         getMethod("testSetCount_threeToOne_supported"));
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   private static Method getMethod(String methodName) {
     return Helpers.getMethod(AbstractMultisetSetCountTester.class, methodName);
   }
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultisetTester.java b/android/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultisetTester.java
index 18ffcbc..f21673e 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultisetTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/google/AbstractMultisetTester.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.Multiset;
 import com.google.common.collect.testing.AbstractCollectionTester;
 import org.junit.Ignore;
@@ -26,7 +25,6 @@ import org.junit.Ignore;
  *
  * @author Jared Levy
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class AbstractMultisetTester<E> extends AbstractCollectionTester<E> {
   protected final Multiset<E> getMultiset() {
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapClearTester.java b/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapClearTester.java
index 4319a85..4d31610 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapClearTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapClearTester.java
@@ -18,7 +18,6 @@ package com.google.common.collect.testing.google;
 
 import static com.google.common.collect.testing.features.MapFeature.SUPPORTS_REMOVE;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.BiMap;
 import com.google.common.collect.testing.features.MapFeature;
 import org.junit.Ignore;
@@ -28,7 +27,6 @@ import org.junit.Ignore;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class BiMapClearTester<K, V> extends AbstractBiMapTester<K, V> {
   @MapFeature.Require(SUPPORTS_REMOVE)
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapEntrySetTester.java b/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapEntrySetTester.java
index 5c9a479..c17399e 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapEntrySetTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapEntrySetTester.java
@@ -21,14 +21,12 @@ import static com.google.common.collect.testing.features.CollectionSize.ZERO;
 import static com.google.common.collect.testing.features.MapFeature.ALLOWS_NULL_VALUES;
 import static com.google.common.collect.testing.features.MapFeature.SUPPORTS_PUT;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.MapFeature;
 import java.util.Map.Entry;
 import org.junit.Ignore;
 
 /** Tester for {@code BiMap.entrySet} and methods on the entries in the set. */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class BiMapEntrySetTester<K, V> extends AbstractBiMapTester<K, V> {
   @MapFeature.Require(SUPPORTS_PUT)
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapGenerators.java b/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapGenerators.java
index 13efdcd..3de220e 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapGenerators.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapGenerators.java
@@ -16,9 +16,7 @@
 
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.BiMap;
-import com.google.common.collect.ImmutableBiMap;
 import com.google.common.collect.Maps;
 import java.util.Arrays;
 import java.util.Map;
@@ -30,7 +28,6 @@ import java.util.Map.Entry;
  * @author Jared Levy
  * @author Hayward Chan
  */
-@GwtCompatible
 public class BiMapGenerators {
   public static class ImmutableBiMapGenerator extends TestStringBiMapGenerator {
     @Override
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapInverseTester.java b/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapInverseTester.java
index 984558e..bb85b8c 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapInverseTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapInverseTester.java
@@ -18,8 +18,6 @@ package com.google.common.collect.testing.google;
 
 import static com.google.common.collect.testing.features.CollectionFeature.SERIALIZABLE;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.BiMap;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.collect.testing.features.CollectionFeature;
@@ -38,7 +36,6 @@ import org.junit.Ignore;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible(emulated = true)
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class BiMapInverseTester<K, V> extends AbstractBiMapTester<K, V> {
 
@@ -72,12 +69,12 @@ public class BiMapInverseTester<K, V> extends AbstractBiMapTester<K, V> {
    * Returns {@link Method} instances for the tests that assume that the inverse will be the same
    * after serialization.
    */
-  @GwtIncompatible // reflection
+  // reflection
   public static List<Method> getInverseSameAfterSerializingMethods() {
     return Collections.singletonList(getMethod("testInverseSerialization"));
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   private static Method getMethod(String methodName) {
     return Helpers.getMethod(BiMapInverseTester.class, methodName);
   }
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapPutTester.java b/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapPutTester.java
index 4bb72a2..50e6951 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapPutTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapPutTester.java
@@ -23,14 +23,12 @@ import static com.google.common.collect.testing.features.MapFeature.ALLOWS_NULL_
 import static com.google.common.collect.testing.features.MapFeature.ALLOWS_NULL_VALUES;
 import static com.google.common.collect.testing.features.MapFeature.SUPPORTS_PUT;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.MapFeature;
 import org.junit.Ignore;
 
 /** Tester for {@code BiMap.put} and {@code BiMap.forcePut}. */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class BiMapPutTester<K, V> extends AbstractBiMapTester<K, V> {
 
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapRemoveTester.java b/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapRemoveTester.java
index e54256a..640106a 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapRemoveTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapRemoveTester.java
@@ -20,7 +20,6 @@ import static com.google.common.collect.testing.features.CollectionFeature.SUPPO
 import static com.google.common.collect.testing.features.CollectionSize.ZERO;
 import static com.google.common.collect.testing.features.MapFeature.SUPPORTS_REMOVE;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.MapFeature;
@@ -32,7 +31,6 @@ import org.junit.Ignore;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class BiMapRemoveTester<K, V> extends AbstractBiMapTester<K, V> {
   @SuppressWarnings("unchecked")
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapTestSuiteBuilder.java b/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapTestSuiteBuilder.java
index 0821fb0..27dd547 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapTestSuiteBuilder.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/google/BiMapTestSuiteBuilder.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.BiMap;
 import com.google.common.collect.testing.AbstractTester;
 import com.google.common.collect.testing.FeatureSpecificTestSuiteBuilder;
@@ -45,7 +44,6 @@ import junit.framework.TestSuite;
  *
  * @author Louis Wasserman
  */
-@GwtIncompatible
 public class BiMapTestSuiteBuilder<K, V>
     extends PerCollectionSizeTestSuiteBuilder<
         BiMapTestSuiteBuilder<K, V>, TestBiMapGenerator<K, V>, BiMap<K, V>, Entry<K, V>> {
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/google/DerivedGoogleCollectionGenerators.java b/android/guava-testlib/src/com/google/common/collect/testing/google/DerivedGoogleCollectionGenerators.java
index bbeefd2..a5dff16 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/google/DerivedGoogleCollectionGenerators.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/google/DerivedGoogleCollectionGenerators.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.google;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.BiMap;
 import com.google.common.collect.testing.DerivedGenerator;
 import com.google.common.collect.testing.Helpers;
@@ -38,7 +37,6 @@ import java.util.Set;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 public final class DerivedGoogleCollectionGenerators {
   public static class MapGenerator<K, V> implements TestMapGenerator<K, V>, DerivedGenerator {
 
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/google/GoogleHelpers.java b/android/guava-testlib/src/com/google/common/collect/testing/google/GoogleHelpers.java
index cf856fa..0c381e1 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/google/GoogleHelpers.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/google/GoogleHelpers.java
@@ -18,7 +18,6 @@ package com.google.common.collect.testing.google;
 
 import static junit.framework.Assert.fail;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.Multimap;
 
 /**
@@ -26,7 +25,6 @@ import com.google.common.collect.Multimap;
  *
  * @author Colin Decker
  */
-@GwtCompatible
 final class GoogleHelpers {
 
   private GoogleHelpers() {}
